siril-1.4.1
01/05/26

**Fixes**
* Fixed build error when compiled without libgit2, libjpeg and libcurl (#1886, #1887, #1888, #1889)
* Fixed issue with the tkfilebrowser submodule if duplicate filenames or bookmarks are present (!964)
* Fixed too-strict condition and off-by-one error in sirilpy
* Fixed sirilpy.FFit class data setter
* Fixed remote catalogue to avoid dependency on Gaia Archive (!969)

siril-1.4.0
12/05/25

**Fixes**
* Fixed get_image_history(): now correctly updates history with operations done since loading
* Fixed RGB composition: compressed FITS files (.fit.fz, .fits.fz) not appearing in file selector (#1878)
* Fixed Gaia online catalogue status indicator (!963)
* Enabled the use of the bad pixel map without having a master dark (#1876)
* Fixed catsearch function for solar system objects (#1882)
* Fixed cleaning python related environment variables within Siril app for Windows (#1880)
* Fixed empty csv file exported by conesearch command when called from script (#1885)

**Improvements**
* SirilInterface.get_selection_star() now attempts accurate photometry when computing the PSF (!961)

siril 1.4.0-RC2
11/20/25

**Fixes**
* Fixed typo in platesolve tooltip
* Fixed error in meson configuration
* Fixed writing registration information for the reference image with global registration (#1849)
* Fixed shared memory leak in set_seq_frame_pixeldata()
* Fixed crash with intel macOS because of a bad pragma simd clause (#1856)
* Updated log messages to avoid double newlines
* Fixed rejection stacking for sequence in 16b (#1858)
* Increase sirilpy timeouts
* Attempted fix for memory allocation issue during stacking on Windows (#1858, #1866)
* Fixed regression in pixelmath where FITS header keywords were not properly copied from the source image to the result (#1851)

siril 1.4.0-RC1
11/08/25

**Fixes:**
* Fixed wrong interpretation of bayer pattern after a background extraction on CFA images (#1799)
* Fixed unnecessary range clipping/scaling prior to RGB channel extraction (#1797)
* Fixed issue with sequence filename construction if com.pref.ext didn't match the seq (#1796)
* Fixed issue where curves tool preview could fail to disapply (#1801)
* Fixed global registration failed to add reference image to the aligned sequence (#1798)
* Fixed PLTSOLVD keyword that was not correctly propagated (#1807)
* Fixed crash in seqstarnet (#1814)
* Fixed seqpsf bug preventing astrometric registration in some circumstances (#1815)
* Fixed writing RA/DEC to star lists from a single findstar command (#1794)
* Fixed issue with RGB composition not always applying registration (!948)
* Fixed processing thread / child process accounting in the "Stop" dialog (#1705)
* Fixed crash in clearstar command wiht Dynamic PSF window open when called from python (#1821)
* Fixed drizzle registration when compression is on (#1800)
* Fixed computing storage space after seqpplyreg to better account for max framing (#1802, #1843)
* Fixed OIII extraction by changing the normalisation strategy between B and G pixels (#1805)
* Fixed XTrans sensors debayer after changes introduced in beta4 by !903 (#1826)
* Fixed some issues with rescale and rgbblend clipping protection in asinh stretch (!950)
* Fixed some static analysis errors (!950)
* Fixed min/max stacking for (0,0) pixel (#1810)
* Fixed crash when using noise weights in stacking if overlap normalization was selected (#1816)
* Fixed using reference image position and updating WCS in Export Sequence (#1824)
* Fixed issue with deconvolution using RGB PSFs (#1829)
* Fixed issue where sirilpy.SirilInterface.confirm_messsagebox() could hang Siril (#1832)
* Fixed issue with create_new_seq() where the seqname contained . (#1841)
* Fixed issue where the locale fix previously added to sirilpy would fail if no English locale was available (siril-scripts:#67)
* Fixed incorrect variable substitution regex handling in Pixelmath
* Removed use of deprecated python method locale.getdefaultlocale() which will be removed in 3.15

**Improvements**
* Support arbitrary script categories in the GtkTreeView in script preferences
* Make ONNXHelper slightly more robust (!940)
* Enabled compiler optimizations by inlining many common data conversion functions (!942)
* Use descreening instead of subtraction to generate starnet starmask, for better integration with recomposition tool (!941)
* Added prefix arg to SirilInterface.set_seq_frame_pixeldata() to make it easier to create new sequences
* SirilInterface.get_siril_selection() now works if an image or sequence is loaded, not only an image
* Starlink pre- and post-autostretch is unlinked for better star removal from images with very uneven channels (!952)
* Stacking with rejection: make sure pixels with non-null values but 0 weight are now discarded at rejection step (!953)
* Add SirilInterface.save_image_to_file() method to save from python to FITS files without needing astropy (!955)

siril 1.4.0-beta4
09/28/25

**Fixes:**
* Fixed incomplete implementation of shared memory bugfix from beta3 (#1719)
* Fixed type hinting in get_seq_frame_header to work with python 3.11 and earlier (scripts #13)
* Fixed a deadlock in the `reloadscripts` command
* Fixed crash with openCV >= 4.12 (#1722, #1723)
* Fixed issue where cold and hot pixels estimation were neve updated (#1724)
* Fixed issue with the way python retrieves the current filename (this could omit the extension in some situations)
* Fixed problems extracting metadata from FITSEQ sequences (#1718, #1720, !915)
* Fixed an issue where an incorrect colourspace transform could be applied when saving a32-bit TIFF (#1730)
* Fixed handling of automatic scripts git repository update flag
* Fixed crash in commands seqpsf and seqtilt when executed from the command line (#1736)
* Fixed crash/memory allocation for stack min or max with 16b images (#1746)
* Fixed magnitude calculation in Dynamic PSF, this affects mostly faint stars for images in 32b (#1739)
* Fixed wrong cache file name (parent directory twice in the returned path) resulting in impossibility to cache files (#1734)
* Fixed handling bayer/Xtrans patterns in more robust way accross the codebase (!903)
* Fixed astrometric alignment for mosaics with some slight skew in the solution (#1747)
* Fixed issues identified by static analysis (!926)
* Fixed issue with findstar command when running from a python script (#1782)
* Fixed issue with auto-applying ICC profiles in stretch tools if nothing is done (reverts correctly) (#1768)
* Fixed issue in SPCC where it would complain about missing OSC BB filter when in NB mode
* Fixed drizzle calculations by exporting weight files during registration and using them for stacking (!882)
* Fixed a crash in the seqcosme command
* Fixed an issue where sequences would not load correctly if the file extensions did not match the preferred FITS extension (#1793)

**Improvements:**
* Compiled .pyc scripts are now only shown in the scripts menu if their magic number matches the available interpreter
* Centre the background extraction grid vertically instead of starting at the image edge and having a gap (#1741)
* Right-click scripts directly from the script menu to open them in the editor
* Optimize image preview, allow colour previews and improve preview stretching to use autostretch, add new large preview size at 512px
* Added SirilInterface.get_image_from_file() method
* Added new sirilpy methods for getting and setting GUI properties (sliders, STF, pan offsets, zoomlevel)
* Improved sirilpy get_seq_frame() and get_image_from_file() so they now populate FFit.header and .icc_profile
* Added Search box in the Script treeview
* Made reading astrometric solution more robust to CDELT/PC matrices not following the expected formalism (#1770)
* Added SirilInterface.analyse_image_from_file(), .undo(), .redo() and .clear_undo_history()
* Approved use of PyQt6 for creating python script GUIs (now confident it is problem free on all target OSes)
* Added some plate solution-related keywords to FKeywords sirilpy class. (#1779)
* Replaced the confusing clip/rescale popup with a heuristic that generally does the right thing. (!931)
* Moved the "Get Scripts" menu entry to the Scripts menu, where it logically belongs. (!865)

siril 1.4.0-beta3
07/11/25

**Fixes:**
* Fixed crash when opening 8-bit XISF file (#1638)
* Fixed `match stars in selection` option for global registration (#1644)
* Fixed an issue where image processing dialogs could fail to unblock python scripts when closed.
* Fixed an issue where the python pix2radec and radec2pix commands failed with coords outside the image (!887)
* Fixed an issue that meant the pyscript command was not waiting for the python interpreter to exit (#1660)
* Fixed an issue with some commands e.g. denoise that meant they would always indicate failure in a script (#1661)
* Fixed Crash in pixelmath command with 16-bit images (#1672)
* Fixed incorrect handling of sirilpy.connection.SirilInterface.log() strings (#1662)
* Fixed incorrect channel handling in get_selection_stats() when no shape is provided (#1673)
* FIxed incorrect thread handling after spawning a python script (thread pointer not set to NULL) (#1654)
* Fixed idle handling to eliminate a hang where a thread was stuck waiting for itself to exit  during stacking (#1665)
* Fixed potential thread safety issues setting environment variables
* Fixed issues with updating the script repository - no longer cloned with depth=1
* Fixed handling of star cluster names containing * characters
* Fixed an issue with git repositories where they could be unable to update after changes to the remote (!900)
* Fixed an inconsistency between GList / GSList that caused crashes relating to the scripts menu for some users (!899)
* Fixed an issue with linear ICC profile generation where colorants were not correctly adapted to D50 (#1683)
* Fixed computing output required space for Apply Registration (through GUI) if some images were not selected (#1690)
* Fixed incorrect SPCC filter plots in "Plot All" in narrowband mode (#1691)
* Fixed an issue where starnet was not updating a data structure that sirilpy get_image_fits_header() relied on
* Fixed an issue where shared memory was not being released correctly after use until a python script exited (#1700)
* Updated flatpak dependencies to fix build issues with recent toolchain (#1709)
* Fixed an issue where removing overlay polygons did not immediately update the overlay
* Fixed an issue where drawing a freehand polygon left the mouse in an unusable state

**Improvements**
* Removed legacy GraXpert interface to be replaced by the new GraXpert-AI.py script (#1620, #1611, #1573)
* Allow saving plots to files using sirilpy.connection.SirilInterface.xy_plot() (#1670)
* Filechoosers in the calibration tab and calibration preferences remember the last directory (#1664)
* Updated overlay_add_polygon() to use shared memory, to handle polygons with large numbers of sides
* Improved compatibility of sirilpy.tkfilebrowser with tkinter.filedialog (allows replacing the awful Linux tk filedialog)
* Improved the GPU module helper methods in sirilpy
* Fixed a crash with RGB compositing (#1562)
* Improved behaviour of histogram stretch after autostretch if the image ICC profile differs from the display profile.
* Changed the default GHT colour mode from human weighed luminance to independent (!899)
* Added / improved GPU helper modules to assist with installation and testing of key GPU-related modules. (!895)
* Allow "Crop Sequence" with the internal sequence used in RGB composition, to aid with LRGB workflows. (!902)
* Add python method to draw Polygons in the Siril overlay.
* Uses the double click to open script in the editor.
* Make SIP and WCS as protected keywords (#1696)
* Added -followstar to the seqpsf command: previously this could only be set from the GUI. (!905)
* Added ability to open previous revisions of scripts in the repository (!911)

siril 1.4.0-beta2
05/21/25

**Fixes:**
* Fixed option -weight= for stack command and add filtering criteria in HISTORY key of stacked image (#1545)
* Fixed crash and slowness when refreshing the scripts list (#1548, #1574)
* Python scripts are now sorted alphabetically (#1559)
* Fixed crash in Noise Reduction with Independent Channels option selected (#1567)
* Fixed UI hang when manually refreshing scripts or SPCC (#1566)
* Fixed incorrect behaviour when using set_image_pixeldata to chage the number of channels (#1570)
* Fixed incorrect siril command return values (#1569)
* Fixed crash in astrometric registration when the reference image could not be platesolved (#1557)
* Fixed preventing max framing export in seqapplyreg with FITSEQ or SER (#1561)
* Fixed obscode that was not exported in the AAVSO csv (#1577)
* Removed graxpert_deconv from the command line (#1575)
* Fixed SPCC failing to open files on Windows when the filepath contains non-ASCII characters (e.g., accented characters) (#1584)
* Fixed parameter parsing in PixelMath (#1594)
* Fixed bad font kerning on macOS (#1508)
* Fixed crash on Windows language change (#1560)
* Fixed incorrect option handling in denoise (#1599)
* Fixed poor star detection when input sequence was in 16b and preferences set in 32b (#1614)
* Fixed incorrect image size with latest cameras added to LibRaw, Siril now uses 202502 snapshot (#1565)
* Fixed metadata filling problem in PixelMath using $T (#1605)
* Fixed crash in Image Plate Solver (#1609)
* Fixed python API SirilInterface::set_seq_frame_incl (#1617)
* Fixed FWHM units when printing alignement results (#1616)
* Fixed incorrect behaviour when opening the git repositories if a git lock file was in place
* Fixed failure in stacking if both feathering and image filtering were selected (#1629)

**Improvements:**
* Scripts can be opened in the editor directly from the Script Preferences treeview (#1556, !860)
* Added a fork of tkfilebrowser to support improved script UI file selection on Linux (!864)
* Implemented a better linear regression algorithm for SPCC (!853)
* Python scripts are now sorted alphabetically (#1559)
* Made crop and ROI selection CFA-aware (#1579)
* Added an optional rate limit for smooth scroll zoom speed (#1576)
* Added SirilInterface.create_new_seq() and SirilInterface.is_cli() in sirilpy (!867)
* GraXpert "Use GPU" now defaults to False but is persistent (saved in config)
* Added utility.ONNXHelper class in python module to make it easier to ensure the correct onnxruntime module is installed. (!874)
* Added ability to calibrate images for debayering only, without Dark, Flat, or Bias files (#1619)
* Simplified the scripts and SPCC repository checking and made it more robust and thread-safe (!872)
* Improved visibility of whether the autostretch preview is linked or unlinked (!878)
* Changed the default GHT and asinh settings to update faster.
* Added returning a dict from SirilInterface.get_image_fits_header() and SirilInterface.get_seq_frame_header in sirilpy (!877)
* Improved Quit behaviour if there are unsaved script changes.
* Improved feedback when the python context manager image_lock() reports an error.
* Improved method of calling scripts from the editor to eliminate a script length restriction.
* Added a GraXpert python script to replace the legacy C GraXpert interface (siril-scripts:!42)
* Deprecated the legacy C interface which proved unreliable (#1620, #1611, #1573)

siril 1.4.0-beta1
04/26/25

**New features:**
* Added support for unknown keywords with path parsing (#1333)
* Added support for JPEG XL image format
* Added comparison star list creation from Siril (!381)
* Added intensity profiling function (#5)
* Added internal plotting tool (siril_plot) to be used with profiling and light_curves (removed usage of GNUplot) (!543 !545)
* Added git script repository integration (!560)
* Added ROI processing for certain functions (!571, fixes #1098 and #1188)
* Added fully color managed workflow using ICC profiles (!542, fixes #1010, #1207)
* Added command conesearch (replaces nomad and solsys), including support for new catalogues (vsx, gcvs, exo, aavso_chart) (!579, #1171)
* Added AAVSO photometry file format output and improving photometry UI (#1234)
* Added color management to photometric color calibration, and SPCC as a new method. (!598)
* Added solving with distortions using SIP convention and handling writing related keywords in the header (!612 and #1154::3)
* Added full blindsolve with Astrometry.net (#1154::5 and !636)
* Added Astrometric Registration for mosaic and little overlapping sequences (#1154::7 and !643)
* Added image undistortion using WCS SIP data during registration (#1154::8,!643 and #1285)
* Refactored wcs usage, by removing redundant info stored in the fit structure (!591 and #1154::1)
* Added support for offline Gaia catalogue extracts with HEALpixel-based indexing (!795, !797)
* Added master distortion files (!686)
* Added ssl certificates in the appimage (#1259)
* Added dark scaling to match exposure time (#1269)
* Added manual photometry output comparison stars file creation from UI (!614)
* Added near solve in Siril internal solver (#1154::4 and !631)
* Added FITS keyword update on single loaded images (#72) and on sequence (!705 and #1340 and #1312)
* Added Color Conversion Matrices for single images and sequences (!630 and !641)
* Added versionning for init files (#1274)
* Added flexible aperture size depending in FWHM (#1278 !640)
* Added DRIZZLE and related script (!633, closes #12, #170)
* Added preference for closest IAU observatory code(!669)
* Added ability to present startup notifications read from a file in gitlab (#1292)
* Added full mouse buttons and scroll wheels configuration (!672)
* Added edge preserving filters (bilateral and guided filters) (!576)
* Extended `requires` command to take optional second expiry parameter. (!674)
* Added a new keyword FILENAME to save the original filename after conversion. (!678)
* Added UI for conesearch and show commands (!680)
* Added atmosphere model for SPCC (accounts for Rayleigh scattering) (!684)
* Added the `pwd` command to print the current working directory (!743)
* Added GraXpert interface (!699), follow-up bugfix (#1346)
* Added the ability to resample by maximum dimension and preview jpg file size (!698)
* Added Curves Transformation tool (!677)
* Read and compares checksum (DATASUM and CHECKSUM) if present in the FITS header (!723)
* Added a new cosmetic filter to remove purple fringing on bright stars (!726)
* Added blending masks and normalization on overlaps for rejection stacking, to stitch mosaics (!764)
* Added python scripting (!765)
* Added local annotations catalogues for IAU constellations lines and names (!800)
* Added a popup menu for the "annotation" button, displaying the list of catalogs (!804)

**Improvements:**
* Allowed object search with their common name, from the annotations catalogues (!381)
* Improved RGB composition tool to do full homography registration (#943)
* Reduced verbosity of script reload logging (#1217)
* Added more configurable colors for some overlays (#1230)
* Improved SEQHEADER command. Ability to print several keywords and new filter option (#1161)
* Refactored the keywords use (#668)
* Changed convention to Counterclokwise for the angle reported by astrometry (#1290)
* Split Astrometry from (S)PCC
* Changed max framing mode to avoid large black borders after registration, this is now handled at stacking step (!670)
* Optimised GHT code (~2x speedup) and fixed associated bugs (#1194, #1314, #1319)
* Improved interaction of threaded functions and previews with ROI code (!701)
* Optimised and refactored deconvolution code (!702 and !753)
* Updated Image processing menu (!700)
* Refactored registration processes and GUI (#1285)
* Improved use of prngs (mt19937 now used throughout in place of rand() etc.) (!689)
* Refactored networking code, add offline mode and add Gaia archive status indication (!687)
* Improved the usability of merging CFA sequences (!759)
* Allowed the token $T to be used in PixelMath (!768)
* Make PixelMath follows bit depth preferences (#1100)
* Allow background removal from CFA images / sequences, for better integration into drizzle workflow (!777)
* Added an option to save the stack result in 32b irrespective of the Preferences (#1165)
* Ported JSON parsing and generation code to use yyjson instead of glib-json for a 10x speedup (!796)

**GUI improvements:**
* Split up the monolithic glade UI file (!550)
* Refactored catalogue management, making it consistent across all catalogues (#1154::0 and !579)
* Refactored astrometry GUI (#1154::6 and !636)
* Added better registration options to RGB align right-click menu and improve DATE-OBS handling in LRGB composition (!620)
* Made reset buttons reset all GUI elements in a dialog window (!719)

**Fixes:**
* Fixed PRISM SITELAT/SITELONG keywords data (#1126)
* Fixed running command catsearch threaded to avoid GUI freeze (#1167)
* Fixed https requests with libcurl for Windows crossroad builds (#604)
* Fixed wavelets redraw (#1236)
* Fixed a crash in asinh (#1246)
* Fixed several dialogs so they work after redo (#1276, #1279)
* Fixed bug where Bayer pattern was not read as needed for seqpsf (#1297)
* Fixed handling wide-char characters in filenames on Windows (with cfitsio >= 4.4) (#1324)
* Fixed bug in GHT when only 1 or 2 channels are selected (#1329)
* Fixed GHT and HT sharing states for some GUI elements (#1357)
* Blocked certain processes when a processing dialog box is open (#1355)
* Fixed a bug with histogram / GHT widgets updating the image when the preview toggle was off (#1358)
* Checked for and resolve pixel values outside [0 1] before certain operations (!697)
* Fixed seqpsf for images which write ADU in float (#1322)
* Fixed crash in catsearch when object is unknown (#1383)
* Fixed local astrometry.net solver non-functional on flatpak (#1392)
* Fixed crash in 2-pass registration when sequence had less than 5 images (#1473)
* Prevented crash when using the sequence browser during an AVI sequence operation (#143)
* Prevented crash when opening a HEIF image with a jpeg extension (#1478)
* Fixed crash at startup on macOS when no ~/Pictures folder is found (#1486)
* Fixed loss of metadata when Siril uses preview (#1491)
* Fixed handling NaNs in float statistics (#1487)
* Fixed h264 and h265 export (!828)
* Fixed memory error when created new FITS image (#1524)

**Misc:**
* Removed glib-networking as a dependency (#1157)
* Removed calls to deprecated OpenMP functions (!662)
* If directory does not exist during script execution, CMD_DIR_NOT_FOUND is returned (!628)
* Refactored processing of sequence operations that generate multiple output sequences (!739)
* Added a memory check for the preview image (#778)
* Removed Windows cross-build CI and improved performance of native CI (!767)
* Move executables from 'Contents/Resources/bin' to 'Contents/MacOS' (!812)

siril 1.2.6
01/22/25
* Fixed sign error in messier catalog (#1453)
* Fixed Save As feature (#1452)
* Fixed handling widechar with an updated version of cfitsio (#1456)
* Changed configuration directory on macOS to org.siril.Siril (!798)

siril 1.2.5
11/22/24
* Fixed crash in gaussVertical() on macOS (issue reported on pixls.us, !742)
* Fixed free space disk computation on macOS, probably for good (#1368 and #1375 and #1422)
* Fixed crash if the CWD changes after a first successfull Automated light Curve process (#1378 !746)
* Fixed bug in TIFF files that have TIFFTAG_MINSAMPLEVALUE and TIFFTAG_MAXSAMPLEVALUE set to 0 by removing these tags (#1381)
* Added HISTORY after seqcrop and GUI crop (#1142)
* Better handling of Siril opening when double-clicking on an image, under macOS (#1308, #1428 and #1140)
* Fixed potential crash in synthstar (issue reported via facebook)

siril 1.2.4
09/11/24

* Fixed CFA statistics (#1342)
* Fixed calibration command bug disabling cosmetic correction (#1348)
* Fixed calibration GUI not parsing correcting flat when using path parsing (#1348)
* Fixed non-deterministic parallel subsky RBF (#1352)
* Fixed incorrect deconvolution command arg setting (issue raised on pixls.us)
* Fixed GHT and HT not reverting previews from other dialogs (#1356)
* Fixed crash when saving image (#1353)
* Fixed execute button in wavelets not reverting preview (#1362)
* Fixed CLAHE crash on mono image (#1354)
* Fixed crash while extracting Green channel on CFA FITSEQ (#1305)
* Fixed inverted sequences on exporting to SER (#1361)
* Fixed a bug with histogram hi / mid / lo entry callback behaviour (!735)
* Fixed free space disk computation on macOS (#1368)

siril 1.2.3
06/19/24

* Fixed handling wide-char characters in filenames on Windows (cfitsio rollback) (#1324)
* Fixed compression error (files were not compressed anymore) (#1328)
* Fixed internet connection in macOS version (packaging issue)

siril 1.2.2
06/14/24

* Removed background extraction samples after using it in script (#1265)
* Fixed catalog parser problem with negative declination (less than 1°) (#1270)
* Fixed weighting by number of stars during stacking if number of stars is the same across the sequence (#1273)
* Improved mouse pan and zoom control to enable one-handed operation (!638, fixes #1271)
* Added an option to the LINK command in order to sort output by date (#1115)
* Fixed pixel size set by astrometry using binning_update preference (#1254)
* Fixed crash when querying stats on a CFA image with a selection smaller than a 2x2 square (#1286)
* Fixed crash when saving compressed and croped images (#1287)
* Disabled supernumerary use of openmp in demosaicing, which could lead to a crash (#1288)
* Fixed ser orientation error (#1258, #1261)
* Fixed crash during rejection stacking when using shift-registered sequence (#1294)
* Fixed mouse scrollwheel scrolling too fast (#1151)
* Fixed drag & drop in image display on macOS (#1310)
* Fixed bug in rgradient (Larson Sekanina) filter (#1313)
* Fixed bug in generalized hyperbolic stretches (#1314)
* Fixed path parsing error with savetif (#1318)
* Added handling of empty command pipe reads (closes #1277)

siril 1.2.1
01/26/24

* Fixed Anscombe VST noise reduction option for mono images
* Fixed HEIF import (#1198)
* Fixed Noise Reduction Anscombe VST bug with mono images (#1200)
* Fixed problems with Fourier Transform planning > Estimate (#1199)
* Fixed data initialisation bugs in copyfits() and RGB compositing tool
* Fixed exported x-column for lightcurves when Julian date is not selected (#1220)
* Fixed sampling tolerance for astrometry which was incorrectly read (#1231)
* Allowed for RA/DEC to be sorted in PSF windows (#1214)
* Added SET-TEMP as valid FITS header to be saved (#1215)
* Added configurable color for background extraction sample and standard annotations (#1230)
* Fixed argument parsing error in makepsf (!593)
* Fixed light_curve and csv export from plot when some images were unselected from the sequence (#1169)
* Added undo/redo when platesolving with astrometry.net (#1233)
* Fixed crash in findstar when detecting stars close to the border (#1237)
* Fixed using wcs info when using light_curve command (#1195)
* Allowed moving file into workdir to be picked up for livestacking (#1223)
* Fixed the way we check if there is enough space to use quick photometry (#1238)
* Fixed platesolving close to poles (#1245)
* Fixed bit depth evaluation for 8-bit images (#1244)
* Fixed division by 0 in PixelMath (#1249)

siril 1.2.0
09/15/23

* Fixed crash in background extraction samples removing (#1123)
* Fixed crash in binning with ushort images (4d4d4878)
* Fixed crash in findstar when a large saturated patch was close to border
* Fixed memory leaks in deconvolution code (3e122ad7)
* Fixed sorting in the rightmost columns in Dynamic PSF window (75586c04)
* Added logging typed command in stdout (06f67292)
* Improved path-checking and messages for astrometry.net local solver (Windows) (!524)
* Prevent crash using recomposition tool eyedroppers without images loaded (!526)
* Fix HaOiii script failure if input image has odd dimensions (!533)
* Fix errors in GNUplot process handling (!538)
* Fixed crash with seqextract_HaOIII command (!535)
* Fixed crash when trying to export csv from empty plot (#1150)
* Fixed deleting RA/Dec info when undoing an astrometry solve (#1119)
* Improved error detection and messages for astrometry (!516)
* Fixed sampling range specification for siril internal solver (!549)
* Fixed all command descriptions (!546)
* Fixed SER orientation after AVI conversion (#1120)
* Fixed rescaling float images upon loading when not in [0,1] range (#1155)
* Fixed initialization of guide image for clamping (#1114)
* Fixed disabling weighting in the GUI when widget is not visible (#1158)
* Fixed output_norm behavior for stacking to ignore border values (#1159)
* Fixed the check for the no space left condition in the conversion (#1108)
* Fixed DATE_OBS missing on seqapplyreg if interp was set to NONE (#1156)
* Fixed photometry issue with 8-bit .ser file (#1160)
* Fixed removing zero values in histogram calculations (#1164)
* Fixed pixel sizes after HaOIII extrcation (#1175)
* Fixed crash when passing only constants in pm expression (#1176)
* Fixed incorrect channel when adding star from selection in RGB vport (#1180)
* Allow to access to non-local disk (#1182)
* Allow the Star Recomposition UI to scroll when larger than the dialog (#1172)
* Fixed wrong Bayer interpretation after FITS-SER conversion (#1193)
* Fixed pixelmath argument parsing error (#1189)

siril 1.2.0-rc1
06/01/23

* Added GHS saturation stretch mode
* Added special formatter to parse date-time in path parsing
* Added Astro-TIFF in sequence export
* Added read of datetime in jpeg and png file with exiv2
* Added Danish language
* Changed Windows to build in console mode even for stable releases
* Changed gnuplot initialization to keep plots open after stopping main process (and fixed leak) (!538)
* Changed image opening for all images not from Siril (ensures DATAMAX is correct)
* Improved parsing of localization data for wider imaging software compatibility
* Improved DATE-OBS control and log for solar system features
* Improved clipping model in luminance-based GHS stretches
* Improved Wayland support
* Reviewed and fixed coordinate conversion from WCS to display for annotations, nomad command, pcc
* Improved astrometry.net handling on Windows to support more recent cygwin builds
* Updated URLs to query online catalogs
* Fixed handling of special characters in sequence name during conversion
* Fixed crash in seqstarnet when processing single-file sequences (SER, FITSEQ)
* Fixed hang in seqstarnet when processing a single-file sequence with no star mask
* Fixed using default masters names in calibrate (GUI)
* Fixed invoking external programs in CLI mode (Windows only)
* Fixed stream setting for all versions of ffmpeg (mp4 export crash)
* Fixed crash when doing manual registration of sequence with variable image sizes (now disabled)
* Fixed UI and command issues in deconvolution code
* Fixed star recomposition issue where LIVETIME and STACKCNT could be doubled when processing the starless and star mask parts of the same image
* Fixed "image copy error in previews" bug in asinh transformation
* Fixed reset of the viewports when reopening the RGB composition tool after opening a mono sequence
* Fixed star detection for undersampled mono images
* Fixed sequence cleaning with opened image and resetting the reference image
* Fixed photometry with 32bit images from PRISM
* Fixed incorrect behaviour when resetting right-hand stretch type in star recomposition tool
* Fixed sequence handling when images have different number of layers
* Fixed GNUplot terminals so they remain interactive and free resources when closed
* Fixed crash that could occur when parsing string keywords that contained forbidden characters
* Fixed calling external processes that left too many opened file descriptors
* Fixed Stop behavior for starnet and local astrometry.net
* Fixed crash when running merge_cfa in headless mode
* Fixed console logs output on Windows when messages contained widechars
* Fixed networking detection at build-time and made it and exiv2 optional
* Fixed bug in NetPBM file import
* Fixed pause button in livestacking

siril 1.2.0-beta2
03/12/23

* Fixed behavior on Windows when calling external programs (StarNet, astrometry.net)
* Fixed crash when converting sequence to SER
* Fixed PCC progress bar which never terminated
* Fixed AppImage Build
* Fixed crash when using deconvolution on a sequence
* Fixed SSL certificates locations on Windows which where preventing SearchObject related functions to succeed
* Fixed reading BAYERPAT key if it was set to NONE
* Fixed StarNet behavior when TIFF compression was ON
* Fixed crash in synthstar (full resynthetize and desaturate)
* Fixed handling widechars in config files (Windows only) which caused a crash at startup
* Fixed crash when selecting datapoints in Plot tab
* Fixed crash when sending a seqplatesolve or seqstarnet command with no other argument
* Fixed crash in global and 2pass registration, if a selection was active and the sequence had variable image sizes
* Fixed min and max framing borders calculations if the sequence had variable image sizes
* Fixed lost metadata with starnet
* Reworked GHS commands
* Added a warning when trying to read one-frame SER files
* Autodetect libfftw threading support
* Add support for Torch-based StarNet executables
* Improve hi/lo slider behaviour in stretch dialogs
* Star Recomposition tool has independent Apply and Reset controls to facilitate iterative stretches

siril 1.2.0-beta1
02/24/23

* Added livestacking mode with darks/CC/flats support, registration and stacking
* Added unlinking channels in autostretch preview
* Added RGB equalization and lightweight (faster) normalisation in stacking options
* Added LRGB composition command and PixelMath command for new offline compositions
* Added Starnet++ integration in GUI and command and mask creation
* Added Star Recomposition tool to mix and stretch starless and starmask images
* Added star intensive care to unsaturate stars
* Added new deconvolution tool with RL, Split Bregman and Wiener algorithms and several PSF generation options (replaces old tool)
* Added new denoising tool
* Added pcc command for headless PCC and plate solving
* Added local KStars star catalogue support for offline astrometry and PCC (NOMAD)
* Added a new framing assistant with several modes and image framing preview
* Added specifying max number of stars for registration
* Added bad pixel map option for preprocess, both in GUI and command
* Added and reviewed commands for offline and automatic post-processing
* Added background level and star count as new sequence filters
* Added option to compute sequence filtering threshold using k-sigma clipping
* Added weighing based on number of stars or wFWHM for stacking
* Added a new threading mechanism for per-image improved performance
* Added star selection from coordinates to seqpsf and star tracking with homography
* Added headless light curve creation from a list of star equatorial coordinates
* Added star list importing from the NINA exoplanet plugin for light curve creation
* Added relaxed mode for star detection for particularly bad images
* Added crop to selection to the rotation geometric transform
* Added a way to clean sequence file in the sequence tab (see also command seqclean)
* Added a warning when images are negative on calibration
* Added calibration details in the FITS history
* Added saving formulas (presets) in Pixel Math
* Added statistic functions to Pixel Math as well as mtf
* Added solar system object search from online service for image annotations
* Added zoom sliders and plot selection in Plot tab
* Added Moffat star profile as an option instead of Gaussian
* Added the possibility to run statistics on individual filters of CFA images
* Added parsing paths with header key values for preprocess, stack and save actions
* Added a high definition mode to auto-stretch visualization
* Added memory and processor count cgroups limits enforcement (linux only)
* Added a mapping file created by conversion operations
* Added background level and number of stars to stored registation data and plots
* Added commands: [update with https://free-astro.org/index.php?title=Siril:Commands#Commands_history ]
* Added KOMBAT alogrithm for registration and removed deprecated ECC
* Added choosing server to query object in astrometry
* Added shortcuts for astrometry (regular and photometric correction)
* Added option "full" to export all possible stats in seqstat command
* Added argument to executable to pass pipes path, allowing several instances to run simultaneously
* Added more reporting on online object search, avoiding duplicates in catalogues
* Added improved graphical interface to hyperbolic stretches
* Added 9-panel dialog tool showing corners and center of the image for a closer inspection
* Added NL-Bayes denoising algorithm with optional boosters DA3D, SOS and Anscombe VST
* Added undershoot clamping to bicubic and lanczos4 interpolation methods
* Added 9-panel dialog tool showing corners and center of the image for a closer inspection
* Added NL-Bayes denoising algorithm with optional boosters DA3D, SOS and Anscombe VST
* Added undershoot clamping to bicubic and lanczos4 interpolation methods
* Added CFA merge process for reconstructing a Bayer pattern previously split out with extraction
* Added binning and binxy command
* Added rejection maps creation on rejection stacking
* Added astro-tiff option in the command savetif with -astro
* Added ability to use Starnet++ on sequences
* Allowed area selection (and much more) to be done on RGB display tab
* Updated scripts to specify cosmetic correction is from masterdark with -cc=dark option
* Updated seq file version to v4. Registration block keeps homography information
* Updated behaviour of channel select toggles in histogram and hyperbolic stretch tools, allowing stretching only selected channels
* Replaced Libraw with RT debayering
* Replaced generalized hyperbolic transform stretch method by more general algorithms and optimised for speed
* Optimised asinh code for speed
* Improved Ha-OIII extraction to offer full resolution O-III output and improve star roundness
* Improved management of focal length, pixel size and binning, in settings and images
* Refactored global registration and added 2pass and Apply Existing methods
* Refactored 3-star registration to run the 3 stars analysis successively
* Refactored 1- and 2/3-stars registration into one single registration method
* Refactored PCC, using WCS information to identify stars instead of registration match
* Refactored settings, preferences and configuration file, adding get and set commands
* Refactored commands error handling
* Refactored light curve creation, filtering the reference stars to valid only
* Refactored PSF fitting to solve for the angle in all cases
* Refactored astrometry for command and sequence operation, astrometry.net interop.
* Fixed comet registration when registration was accumulated over existing data
* Fixed star detection for images with very large stars
* Fixed cancellation of seqpsf or seqcrop
* Fixed photometry analysis of stars with negative pixels around them
* Fixed dates keywords in sum and min/max algorithms
* Fixed FITS header preservation on RGB composition
* Fixed possible FITSEQ infinite loop and inconsistent numbering caused by hidden files in conversion
* Fixed sequence closing in script processing after each command
* Fixed opening of scientific FITS cube files
* Fixed gnuplot call for macOS/AppImage, by making its path configurable
* Fixed available memory computation for mac and the associated freeze
* Fixed bug in roworder of SER sequence created from TOP-DOWN FITS images
* Fixed bug when saving 16bits signed FITS images
* Fixed internationalization in siril-cli
* Fixed subsky command success status

siril 1.0.6
10/18/22

* Fixed crash on opening a malformed SER
* Fixed crash in savetif
* Fixed crash in polynomial background extraction when not enough sample were set
* Fixed bug in iif where no parameters could be used
* Fixed crash in seqstat when some images were deselected
* Fixed crash in star detection when large star was close to border
* Fixed bad behaviour of asinh blackpoint with monochrome/32bits images
* Fixed bug in PixelMath with negate values
* Fixed bug in SIMBAD request when object name contains '+'
* Fixed bug in rotational gradient

siril 1.0.5
09/09/22

* Fixed bug in eyedropper feature with 16bits images
* Added button to see original image in background extraction
* Fixed bug introduced in 1.0.4 with one pixel shift when registering meridian flipped images
* Fixed GAIA catalog parser

siril 1.0.4
09/02/22

* Fixed selected area for flat autonormalisation calc
* Fixed wrong initialization in polynomial background extraction
* Fixed cold pixels rejection in GESDT stacking
* Fixed x and y position in PSF and star detection
* Fixed RGB pixel display where Green and Blue were swapped
* Fixed random crash in Pixel Math
* Improved wcs import when formalism used is deprecated (CROTA + CDELT)
* Added dropper icon to set SP easily in GHT tool

siril 1.0.3
06/28/22

* Fixed memory leak in PixelMath
* Fixed memory leak in SER preview
* Fixed error in seqsubsky
* Fixed the start of two scripts from @ in succession
* Fixed homogeneous image bitpix detection on stacking
* Fixed dates in median and mean stack results
* Fixed bug in stack of some float images
* Fixed black point and clipping in asinh stretch function
* Added new thread for background extraction that does not freeze UI, with a progressbar for RBF
* Added generalised hyperbolic transform stretch method in Image Processing menu, based on algorithms proposed by David Payne in the astrobin forums

siril 1.0.2
05/16/22

* Added new RBF interpolation method in the background extraction tool
* Removed file name length limit in conversion
* Fixed crash in preprocess command if a quote was not closed in -bias= option
* Fixed crash when star detection box was expanded past a border
* Fixed crash in plot when X axis data contained negative values
* Fixed numerous bugs in the background extraction tool
* Fixed bug in PixelMath where only one char parameter where allowed
* Fixed bug in FITS partial reader

siril 1.0.1
04/06/22

* Added min,max, iif and logical operators in pixelmath
* Added support for 3 channels for direct preview of resulting composition in pixelmath
* Added parameters field in PixelMath
* Added reporting channel name in FILTER header key during split operation
* Added using FILTER keyword value for Pixel Math tool variable name
* Fixed using shift transform for global registration
* Fixed crash when changing image with preview opened
* Fixed crash when pressing Stop button during script execution
* Fixed crash that could occur when moving the mouse over the image while it was being updated
* Fixed date wrongly reported in the FITS header in SER/FITSEQ stacking when filtering out images
* Fixed excluding null pixels of both ref and target in linear match

siril 1.0.0
03/09/22

* Added ASTRO-TIFF standard
* Fixed memory consumption for all sequence operations
* Fixed settings for sequence export as webm film with VP9 codec
* Removed use of lo/hi cursors and fixed normalization for export
* Fixed load and close commands for scripts in GUI
* Fixed Bayer pattern in SER after extraction
* Fixed registration crash for small images
* Improved main panel separator positioning and keeping it in memory
* Improved speed of FITSEQ detection when scanning sequences
* Improve usability on MacOS
* Reintroduced compatibility with OpenCV 4.2 with disabled features

siril 1.0.0~RC2
12/08/21

* Fixes many crashes
* Minor improvements in plot feature
* Restore HD for macOS application

siril 1.0.0~RC1
11/20/21

* New Pixel Math tool
* New plot tool to visualize and sort sequence based on any registration data field available
* New tilt estimation feature (from GUI or command)
* New SNR estimator in photometry analysis
* New button for quick photometry
* New commands seqcosme and seqcosme_cfa to remove deviant pixels on sequence, using file computed with find_hot
* New command boxselect to specify a selection box with x, y, w and h
* Improved candidates star detection speed and accuracy with a new algorithm
* Reviewed GUI and improved responsiveness
* Saving focal and WCS data in the swap file using undo/redo
* WCS data is now updated after geometric transformations (mirror, rotate and crop)
* Seqcrop command can now be used in scripts
* Added autocropping of wide-field images, as well as using a selection for plate solving
* Added choices of degrees of freedom (shift, similitude, affine or homography) for global registration
* Added UI button to plot WCS grid and compass
* Added user catalogue for astrometry annotation
* Added GAIA EDR3 catalogue for astrometry
* Added choice between clipboard and file for snapshot
* Added equalize CFA for X-Trans sensor
* Allowing debayer to be forced for SER files
* Converted constant bitrate quality to constant quality rate settings in sequence export to film
* Fixed memory leak in opencv that made registration of FITS files fail often
* Fixed FWHM units and star center position in Dynamic PSF
* Fixed global registration with various image sizes
* Fixed bug in ECC algorithm

siril 0.99.10.1
06/23/21

* Fixed star detection with resolution < 1.0
* Fixed interpolation issue in global registration
* Fixed timestamp issue with glib < 2.66
* New MAD clipping algorithm

siril 0.99.10
06/11/21

* New drag and drop
* New presets for sequences export
* New choice between h264 and h265 for mp4 export
* New Generalized Extreme Studentized Deviate Test as a new rejection algorithm
* New weighted mean stacking based on bgnoise
* New independent normalization of each channel for color images
* New faster location and scale estimators to replace IKSS with similar accuracy
* New synthetic level for biases
* New 2- or 3-star registration algorithm with rotation
* New SER debayering at preprocess
* New green extraction from CFA
* New option to downsample image while platesolving
* Remember focal and pixel size in astrometry tool
* Updated sampling information after channel extraction and drizzle
* Fixed bands appearing on mean stacking for CFA SER sequences
* Fixed bug in FFT filter
* Fixed bug in statistics and normalization for 16b images
* Changed handling of zero values in statistics, global registration, normalization and stacking

siril 0.99.8.1
02/13/21

* Fixed crash because of wcslib function

siril 0.99.8
02/10/21

* New ability to remove sequence frames from the "Plot" tab
* New merge command
* New astrometry annotation ability
* New snapshot function
* New conversion internal algorithm, can convert any sequence to any other sequence type too now
* Handle datetime in TIFF file
* Improved color saturation tool with a background factor to adjust the strength
* Reduced memory used by global registration
* Improving films (AVI and others) support: notifying the user, suggesting conversion, fixing parallel operations
* Fixed memory leak in minmax algorithms
* Fixed a bug in FITS from DSLR debayer when image height is odd
* Fixed out-of-memory conditions on global registration and median or mean stacking
* Fixed SER stacking with 32 bits output
* Fixed bitrate value issue in mp4 export
* Fixed normalization issue with SER files

siril 0.99.6
09/23/20

* Selection can be moved and freely modified, its size is displayed in UI (Sébastien Rombauts)
* Undo/Redo buttons now display the operations they act upon (Sébastien Rombauts)
* Added color profile in TIFF and PNG files
* Image display refactoring (Guillaume Roguez)
* Fixed a bug in demosaicing orientation
* Fixed a bug in macOS package where Siril was not multithreated
* Fixed memory leak in pixel max/min stacking
* Fixed crash when selecting 1 pixel
* Better integration in low resolution screen
* Added embed ICC profile in png and TIFF files
* By default Siril now checks update at startup
* By default Siril now needs “requires” command in Script file
* Refactoring of image display with pan capacity
* Added button + and – for zooming management

siril 0.99.4
08/14/20

* New UI with a single window
* New demosaicing algorithms, RCD is now the default one
* New algorithm to fix the AF square with XTRANS sensor (Kristopher Setnes)
* New support for FITS decompression and compression with Rice/Gzip and HCompress methods (Fabrice Faure)
* New support for quantization and HCompress scale factor settings for FITS compression (Fabrice Faure)
* New functions to extract Ha and Ha/OII from RGB images
* New linear match function
* New link command to create symbolic links
* New convert command to convert all files (and link FITS)
* New preference entries for FITS compression settings (Fabrice Faure)
* New native image format: 32-bit floating point image
* New native sequence format: FITS sequence in a single image
* New UI for sequence image list
* New zoom handing: ctrl+scroll (up and down) is the new way to zoom in and out
* New preview in open dialog
* New language selector in preferences
* New image importer: HEIF format
* New stacking filtering criterion (weighted FWHM). It can exclude more spurious images
* New macOS bundle
* New RL deconvolution tool
* New keyword CTYPE3 for RGB FITS in order to be used by Aladin
* New binary siril-cli to start siril without X server
* New preference entries with darks/biases/flat libraries
* New preliminary Meson support (Florian Benedetti)
* New ROWORDER FITS keyword that should be used by several programm now
* X(Y)BAYEROFF can now be configured in preferences
* Parallelizing conversion and some other functions
* CI file was totally rewritten (Florian Benedetti)
* Config file was moved to more standard path
* Optimization of several algorithms (Ingo Weyrich)
* Background extraction is now available for sequence
* Midtone Transfer Function is now available for sequence
* Fixed code for Big Endian machine (Flössie)
* Fixed bug in SER joining operation when Bayer information was lost
* Fixed a bug of inaccessible directories in MacOS Catalina
* Fixed crash on some OpenCV operation with monochrome images
* Fixed annoying error boxes about missing disk drives on Windows

siril 0.9.12
11/04/19

* Fixed stat computation on 3channel FITS
* Fixed free memory computation on Windows
* Fixed a bug in RGB compositing mode allowing now users to use multichannel image tools
* Fixed crash after deconvolution of monochrome images
* Fixed a bug in astrometry when downloaded catalog was too big
* New split cfa feature
* Script status (line currently executed) is displayed in a statusbar
* TIFF export is now available for sequences
* Better dialog windows management
* Histogram tool refactoring
* Provide new strategies for free memory management
* Provide new photometric catalog for color calibration (APASS)
* Added new filter: Contrast Limited Adaptive Histogram Equalization
* Open sequence by double clicking on seq file

siril 0.9.11
05/27/19

* New icon set
* New photometric color calibration tool
* New background extraction tool working with 64-bit precision and dither
* Improved processing speed by optimizing sorting algorithms to each use
* Parallelizing preprocessing
* New image filtering for sequence processing: possible from the command line and with multiple filters
* Improved free disk space feedback and checks before running preprocess, global registration and up-scaling at stacking
* New GTK+ theme settings: it can now be set from siril to dark or light, or kept to automatic detection
* New normalization to 16 bits for RAW images with less dynamic range (in general 12 or 14)
* Improved mouse selection by making it more dynamic
* Added drag and drop capability in the conversion treeview
* Added output file name argument to stacking commands
* New command setmem to limit used memory from scripts
* New clear and save buttons for the log in GUI
* Taking into account the Bayer matrix offset keywords from FITS headers
* Displaying script line when error occurs
* Allow registration on CFA SER sequences
* Processing monochrome images requires less memory, or can be more paralellized if memory was the limiting factor
* Fixed dark optimization
* Fixed crash in global registration on a sequence that contained a dark image
* Fixed management of the statistics of images on which they fail to be computed
* Fixed free disk space detection and usual processing commands on 32-bit systems
* Fixed free memory detection for stacking in case of up-scaling ('drizzle') and memory distribution to threads
* Fixed bug in FFT module
* Fixed bug in the drawn circle of photometry
* Fixed build fail with OpenCV 4.0.1
* Fixed SER sequence cropping
* Fixed regression in global registration for images having different size
* Added German translation

siril 0.9.10
01/16/19

* New astrometry tool that solves acquisition parameters from stars in the image (requires Web access and libcurl)
* New comet registration method
* Enabled previews for color saturation, asinh stretching, histogram transform and wavelets
* Added ability to join SER files
* Added a command stream using named pipes
* Added RGB flat normalisation for CFA images and command GREY_FLAT
* Added SETFINDSTAR command to define sigma and roundness parameters
* Added ASINH command and GUI function, for asinh stretching of images
* Added RGRADIENT command and GUI function
* Added negative transformation
* Made command SEQCROP scriptable
* Improved ECC alignment algorithm
* Improved global registration and fixed a bug
* Redesigned all dialog windows to conform to GNOME guidelines
* Preserving history in FITS file header when former history exists
* Preserving FITS keywords in sum stacked image
* Checking and increasing if needed maximum number of FITS that can be stacked on the system
* Automatically detecting GTK+ dark theme preference
* Adding a setting to activate image window positioning from the last session
* Fixed a bug in photometry where stars were too round
* Fixed an issue with wide chars on Windows
* Fixed some erratic behaviour when reference image was outside selection
* Fixed default rotation interpolation algorithm for register command
* Fixed a crash on sequence export with normalization
* Fixed line endings in scripts for all OS
* Fixed compilation for OpenCV 4.0
* Fixed dark optimization and added -opt option in PREPROCESS command
* Fixed a crash in global registration with unselected images

siril 0.9.9
06/07/18

* Major update of the command line, with completion and documentation in the GUI, enhanced scripting capability by running commands from a file and also allowing it to be run with no X11 server running with the -s command line option
* Added commands to stack and register a sequence
* Image statistics, including auto-stretch parameters and stacking normalization, are now cached in the seq file for better performance
* Global star registration now runs in parallel
* Workflow improvement by adding demosaicing as last part of the preprocessing
* Added a filtering method for stacking based on star roundness
* Added an option to normalize stacked images to 16-bit with average rejection algorithm
* All GUI save functions are now done in another thread
* Improved histogram transformation GUI
* Improved support of various FITS pixel formats
* Preserve known FITS keywords in the stacked image by average method
* Added native open and save dialogues for Windows users
* Various Windows bug fixes in SER handling
* Fixed wrong handling of scale variations in Drizzle case
* Fixed 8-bit images auto-stretch display
* Fixed BMP support
* Fixed issues in PNG and TIFF 8-bit export
* Fixed the "About" OS X menu

siril 0.9.8.3
02/19/18

* Check for new available version
* Handle XTRANS FUJIFILM RAWs
* Fixed Preprocessing SER files that gave corrupted SER results
* Fixed SaveBMP that added tif extension
* Fixed Registration on all images that was done on selected images instead
* Fixed Target directory that was ignored when saving as image
* Fixed crash with Wrong SER timestamp

siril 0.9.8
01/31/18

* Added SavePNG
* Allow to use gnuplot on Windows if it is installed on the default path
* Improve SER processing speed
* Opencv is now mandatory
* Implementation of a simplified Drizzle
* New tool for Lucy-Richardson deconvolution
* Conversion list tree is now sorted on first load. Sort is natural.
* Command stackall is available, with optional arguments, for all stacking methods
* Change default working directory to special directory 'Pictures' if it exists
* Reduce display time of autostretch
* Parallelize sum stacking
* Use thread-safe progress bar update instead of deprecated one. Run 'Check sequences' in a background task
* Add an option to set the generic image_hook behaviour when function fails
* Switch on "Images previously manually selected from the sequence" if user checks and unchecks frames
* Fixed numerous bug on Windows with wide char filenames
* Fixed dark theme icons
* Fixed exposure dates of exported SER sequences that were wrong with filtering
* Fixed the loss of color calibration on background extraction
* Fixed menu update after RGB composition
* Fixed bug in "Average" and "Median" stack for huge SER file
* Fixed when it was impossible to use multithread functions after star alignment in compositing tool
* Fixed crash when selecting "Best images .. (PSF)" if the loaded sequence has no PSF data
* Fixed sorted images by FWHM
* Fixed crash on stacking when no reference image is selected and first image of the sequence is excluded

siril 0.9.7
09/21/17

* Fixed French translation
* Fixed bug in registration from compositing for layers alignment
* Fixed crash when stacking failed
* Fixed limit of 4Go SER file for non POSIX Standard
* Improved global registration. New algorithm with homography

siril 0.9.6
06/20/17

* Allow sequence export to use stacking image filtering
* Get the working directory as an optional command line argument
* Improve photometry
* Fixed wrong selected image in list panel when list was sorted
* Fixed registration with unselected images which made progress bar exceed 100%
* Fixed again compilation that failed on KFreeBSD
* Fixed name of Red Layer using compositing tool that was wrong

siril 0.9.5
11/28/16

* Implement a graph interface to display quality registration information
* No X and Y binning value could lead to errors with fwhm
* Take reference image as normalisation reference
* Retrieve Bayer pattern from RAW file
* Export sequence to MP4
* Statistics should not take into account black point
* Add ComboBox for registration interpolation
* Fixed interpolation in global star registration that gave blurred results
* Fixed FreeBSD intltool compilation fails
* Fixed erroneous created sequence in registration with unselected images
* Fixed compilation that failed on KFreeBSD

siril 0.9.4
08/17/16

* Fixed issues with SER in generic processing function
* Fixed inability to open FITS when filename had parenthesis
* Fixed selecting new images did not update the number of selected images
* Fixed histogram sliders lag on OS-X
* Fixed message "Error in highest quality accepted for sequence processing....." during stack of %, even if quality data are computed
* Fixed sequence export to SER with unselected images
* Fixed global star alignment with angle close to 180deg
* Fixed undo cosmetic correction
* Fixed crash in peaker function
* Fixed aborting global star registration summary
* Fixed sequence list which was unreadable with dark GTK theme
* Fixed the update of the list of images
* Added support of internationalization: French, Dutch, Chinese, Italian, Arabic
* Option for logarithm scale in histogram transformation
* Add siril.desktop in archlinux
* Added support for exporting sequence in avi format
* Option to make a selection for global star registration in a smaller region
* Read commands from a file
* Option to follow star in registration
* Added support for resizing exported sequence
* Added support for reading and writing SER timestamps
* Added support for RGB alignment
* Added functionality to fix broken (0 framecount) SER files.

siril 0.9.3
04/16/16

* Fixed bug in preprocessing
* Fixed compilation error in some conditions
* Fixed uninitialized values
* Fixed typos

siril 0.9.2
04/04/16

* Added support for dark optimization
* Added hot pixel removal feature
* Added Animated GIF output and registered sequence export
* Added autostretch viewer mode
* Allowing a reference magnitude to be set to get absolute magnitude instead of relative
* New commands: sequence selection range and stackall
* Added vertical banding noise removal tool
* Providing a better planetary registration algorithm
* Parallelized registration
* Refactored conversion to include AVI to SER
* Configurable "Are you sure" dialogues
* ls command gives results in an ordered way
* Updated to FFMS2 latest version
* Clarified the use of demoisaicing
* Improved star detection
* Improved RGB compositing tool
* Allowing manual selection of background samples
* Fixed force recomputing statistics for stacking
* Fixed noise estimation
* Fixed entropy computation

siril 0.9.1
12/01/15

* added support for GSL 2
* fixed crash on startup without existing config file

siril 0.9.0
10/16/15

* new global star registration, taking into account field rotation
* new quality evaluation method for planetary images, used to sort the best
* images selected for stacking
* new parallelized stacking algorithm for all sequences, including all SER formats, allowing maximum used memory to be set
* threading of the most time consuming processings, to keep the GUI reactive, as well as many other speed improvements
* tested and improved on FreeBSD and MacOS X systems, and ARM architectures
* undo/redo on processing operations
* sequence cropping tool

siril 0.9.0rc1
12/29/14

* many fixes including background extraction, compositing alignment, rejection algorithm, wavelets
* threading of the heavy computations, to avoid graphical user interface freezing and provide a nice way of seeing what is happening in the console window
* image rotation with any angle (not in registration yet)
* new Canon banding removing tool
* GTK+ version is now 3.6 or above

siril 0.9.0b1
11/11/14

* new image formats supported for import and export (BMP, TIFF, JPEG, PNG, NetPBM, PIC (IRIS) RAW DSLR images)
* better image sequence handling with non-contiguous sequences, but still requiring file names to be postfixed by integers
* new graphical user interface based on GTK+ version 3.4 and above
* new display modes added to the standard linear scaling with lo/hi bounds
* manual translation as new registration method with two preview renderings of the current image with reference frame in transparency
* automatic translation as new registration method for deep-sky images, based on the PSF analysis of one star
* new commands available for the command line
* a star finding algorithm with PSF information
* new background extraction tool
* new processing functions
* new image compositing tool
* new stacking methods with rejection algorithms
* numerous bugs fixed and internal code refactoring

